@charset "utf-8";
/* CSS Document */

/*
	Web Design Foundations	CTS00700-504O
		CSS GRID Design Project

	CSS stylesheet styles

	Author:		Peter Brown	~ 0624517619
	Start Date:	2025-01-16
	Due Date:	2025-01-29

	File= 		/Brown_P-CSS_GRID_Design_Project/gdp-styles.css
   	link code= 	<link href="gdp-styles.css" rel="stylesheet" />
*/

/* HTML and Body Styles */

html {
   background-color: rgb(10,4,79);
   font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace", serif; 	
}
body {
   background-color: white;
	width: 95%;
	margin: 2.5% auto;
}

/* Navagation Bar */

header nav {
	height: 2em;
}
header nav a {
	display: block;
	float: left;
	text-align: center;
	width: 20%;
	color: rgb(10,4,79);
	text-decoration: none;
	line-height: 2em;
	font-size: 2vw;
}
header nav a:visited {
	color: rgb(10,4,79);
}
header nav a:hover {
	background-color: rgb(10,4,79);
	color: white;
}
header nav a:focus {
	outline: thin dotted;
}
header nav a:hover, nav ul li a:active {
	outline: 0;
	border-bottom: 0.5em solid rgb(10,4,79);
}
header nav a.YOU-ARE-HERE {
	border-bottom: 0.5em solid rgb(10,4,79);
}
/* Element Styles */
header {
	margin-bottom: 0.5em;
}
header h1 {
	text-align: center;
	margin: 0.5em auto 0px;
	font-size: 5vw;
	font-weight: 800;
	text-decoration: underline;
}
header p {
	text-align: center;
	margin: 0px auto 0.5em;
}

article h1 {
	font-size: 2em;
	text-decoration: underline;
}

section h1, aside h1 {
	display: block;
	text-align: center;
	text-decoration: none;
	font-size: 1.5em;
	font-weight: 400;
	margin: 0.5em auto 0px;
}

footer h1 {
	font-size: 1.5em;
	font-weight: 400;
	text-decoration: none;
}
